// TrueDialog.h: interface for the CTrueDialog class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TRUEDIALOG_H__FB6ECEDB_7F7D_4241_BA86_DAB822F9283C__INCLUDED_)
#define AFX_TRUEDIALOG_H__FB6ECEDB_7F7D_4241_BA86_DAB822F9283C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CTrueDialog  
{
	DWORD m_DialogID;
	static LRESULT CALLBACK WndProc(HWND hWnd, UINT uMessage, WPARAM wParam, LPARAM lParam);
public:
	void GetChildRect(HWND wnd, RECT* rc);
	void GetChildRect(DWORD ID, RECT* rc);
	HWND Create(HWND hWndParent);
	int DoModal(HWND parent = NULL);
	CTrueDialog(DWORD DialogID);
	virtual ~CTrueDialog();
	HWND m_hWnd;

protected:
	virtual LRESULT OnDrawItem(UINT ctlID, LPDRAWITEMSTRUCT drawItem);
	virtual LRESULT OnCtlColorStatic(HDC dc, HWND hWnd);
	virtual DWORD OnNotify(int idCtrl, LPNMHDR pnmh);
	virtual void OnPaint();
	virtual void OnCommand(DWORD itemID);
	virtual BOOL OnEndDialog();
	virtual void OnInitDialog();
};

#endif // !defined(AFX_TRUEDIALOG_H__FB6ECEDB_7F7D_4241_BA86_DAB822F9283C__INCLUDED_)
