// Mixer.h: interface for the CMixer class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MIXER_H__5F0700FE_FE48_4EFF_958F_132BE75B3F25__INCLUDED_)
#define AFX_MIXER_H__5F0700FE_FE48_4EFF_958F_132BE75B3F25__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CMixer  
{
	HMIXER hMixer;
	DWORD dwLineID;
	DWORD dwVolumeCtlID;
	DWORD dwMuteCtlID;
	long minVol;
	long maxVol;

	BOOL isValidVolume;
	BOOL isValidMute;
	int volume;
	BOOL mute;

	char m_controlName[MIXER_LONG_NAME_CHARS];
	char m_typeName[MIXER_LONG_NAME_CHARS];

public:
	int m_iconIndex;

	LPCSTR GetControlName() { return m_controlName; }
	LPCSTR GetTypeName() { return m_typeName; }

	BOOL isThis(HMIXER hMix, DWORD ctlID);
	void SetMute(BOOL fMute);
	BOOL isMute();
	void SetVolume(int volume);
	int MaxVolume() {return maxVol; }
	int MinVolume() {return minVol; }
	int GetVolume();
	CMixer(HWND hWndNotify, DWORD dwComponentType);
	virtual ~CMixer();

};

#endif // !defined(AFX_MIXER_H__5F0700FE_FE48_4EFF_958F_132BE75B3F25__INCLUDED_)
