// PropsDlg.h: interface for the CPropsDlg class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PROPSDLG_H__024E7432_6829_4FE8_85AC_AD6E0A813221__INCLUDED_)
#define AFX_PROPSDLG_H__024E7432_6829_4FE8_85AC_AD6E0A813221__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "TrueDialog.h"
#include "arrays.h"

struct SKIN_PATH
{
	char m_path[MAX_PATH];
};

class CTracker;

class CPropsDlg : public CTrueDialog  
{
	CTArray<SKIN_PATH> m_skins;
	CTracker* trk;
public:
	DWORD* m_items;
	int count;
	char m_skin[MAX_PATH];
	BOOL m_isVertical;
	BOOL m_showType;

	HMODULE m_hRes;
	
	CPropsDlg();
	virtual ~CPropsDlg();

protected:
	BOOL OnEndDialog();
	void OnInitDialog();
	void OnCommand(DWORD itemID);
	void OnPaint();
private:
	DWORD GetCBData(DWORD cbID);
	void SetCBData(DWORD cbID, int data);
	void FillSkins();
	void SaveItems();
	void AddVolumeControl(DWORD indexes, LPCSTR name, LPCSTR dstName);
	void LoadLists();
	void SetSkin(void);
};

#endif // !defined(AFX_PROPSDLG_H__024E7432_6829_4FE8_85AC_AD6E0A813221__INCLUDED_)
